Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Types.AnnotatedId

Synopsis

- data AnnotatedId id = AnnotatedId {
  - ann_pid :: PackageId
  - ann_cname :: ComponentName
  - ann_id :: id
  }

# Documentation

data AnnotatedId id Source #

An `AnnotatedId` is a `ComponentId`, `UnitId`, etc. which is annotated with some other useful information that is useful for printing to users, etc.

Invariant: if ann_id x == ann_id y, then ann_pid x == ann_pid y and ann_cname x == ann_cname y

Constructors

AnnotatedId |

Fields

- ann_pid :: PackageId
- ann_cname :: ComponentName
- ann_id :: id

#### Instances

Instances details

Functor AnnotatedId Source # |
Instance details Defined in Distribution.Types.AnnotatedId Methods fmap :: (a -> b) -> AnnotatedId a -> AnnotatedId b Source # (<$) :: a -> AnnotatedId b -> AnnotatedId a Source #
Package (AnnotatedId id) Source # |
Instance details Defined in Distribution.Types.AnnotatedId Methods packageId :: AnnotatedId id -> PackageIdentifier Source #
Show id => Show (AnnotatedId id) Source # |
Instance details Defined in Distribution.Types.AnnotatedId Methods showsPrec :: Int -> AnnotatedId id -> ShowS Source # show :: AnnotatedId id -> String Source # showList :: [AnnotatedId id] -> ShowS Source #
Eq id => Eq (AnnotatedId id) Source # |
Instance details Defined in Distribution.Types.AnnotatedId Methods (==) :: AnnotatedId id -> AnnotatedId id -> Bool # (/=) :: AnnotatedId id -> AnnotatedId id -> Bool #
Ord id => Ord (AnnotatedId id) Source # |

Instance details

Defined in Distribution.Types.AnnotatedId

Methods

compare :: AnnotatedId id -> AnnotatedId id -> Ordering #

(<) :: AnnotatedId id -> AnnotatedId id -> Bool #

(<=) :: AnnotatedId id -> AnnotatedId id -> Bool #

(>) :: AnnotatedId id -> AnnotatedId id -> Bool #

(>=) :: AnnotatedId id -> AnnotatedId id -> Bool #

max :: AnnotatedId id -> AnnotatedId id -> AnnotatedId id #

min :: AnnotatedId id -> AnnotatedId id -> AnnotatedId id #